Skip to main content
GET
List schedules

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Query Parameters

q
string

Search term for filtering schedules by name, dashboard name, or owner name (case-insensitive).

status
enum<string>

Filter schedules by delivery status.

Available options:
success,
error,
canceled,
none
destination
enum<string>

Filter schedules by destination type.

Available options:
email,
slack,
webhook,
sftp,
s3
scheduleType
enum<string>

Filter by schedule type.

Available options:
alert,
schedule
contentType
enum<string>

Filter schedules by content type: dashboard, single tile, workbook tab, app.

Available options:
dashboard,
single tile,
workbook tab,
app
sortField
enum<string>
default:scheduleName

The field to sort results by. dashboardName is deprecated; use documentName instead.

Available options:
scheduleName,
dashboardName,
documentName,
ownerName,
lastRun,
lastRunStatus
sortDirection
enum<string>

Direction for sorting results:

  • asc - Ascending order (A-Z, 0-9)
  • desc - Descending order (Z-A, 9-0)
Available options:
asc,
desc
cursor
string

Cursor for pagination from previous response nextCursor.

Example:

"eyJpZCI6IjEyMzQ1In0"

pageSize
integer
default:20

Number of results per page

Required range: 1 <= x <= 100
Example:

20

ownerId
string<uuid>

Filter schedules by the owner's membership ID. Use the List users endpoint to retrieve membership IDs.

API results vary by API key type:

  • Organization API keys - When specified, only schedules for the specified owner are returned. Otherwise, all schedules in the organization are returned.
  • Personal access token - When specified, only the token owner's membership ID is allowed. If another user's membership ID is provided, the API will return a 403 Forbidden error.
embedEntity
string

Filter schedules by embed entity:

  • If used as the only filter, list all schedules in the embed entity
  • If used with ownerId, list only schedules for the specified user if they are associated with the embedEntity. The response will be empty if the specified ownerId doesn't have the entity.
  • Can be combined with other filters for more specific results
identifier
string

Filter schedules by the document's unique identifier. This identifier is shared by a document's dashboard, workbook, and app. This can be retrieved by:

  • Opening the document settings - Navigate to File > Document settings in the dashboard and then click Settings. The Identifier field contains the document's ID.
  • Using the dashboard's URL - The string after /dashboards is the document's ID; for example: https://myorg.omniapp.co/dashboards/12db1a0a
  • Using the app's URL - The string after /apps is the document's ID; for example: https://myorg.omniapp.co/apps/12db1a0a
includeDeleted
boolean
default:false

When true, the response also includes schedules in the trash. A trashed schedule is removed from the list once the organization's trash window has passed or if its document is also in the trash.

Response

Paginated schedule list

pageInfo
object

Pagination information for paginated responses.

records
object[]

List of schedule records.